libgphoto2 (libgphoto2): libgphoto2/gphoto2-file.h File Reference

Main Page | Data Structures | Directories | File List | Data Fields | Globals | Related Pages

# gphoto2-file.h File Reference

`#include <time.h>`

Include dependency graph for gphoto2-file.h:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Defines
#define | GP_MIME_WAV "audio/wav"
#define | GP_MIME_RAW "image/x-raw"
#define | GP_MIME_PNG "image/png"
#define | GP_MIME_PGM "image/x-portable-graymap"
#define | GP_MIME_PPM "image/x-portable-pixmap"
#define | GP_MIME_PNM "image/x-portable-anymap"
#define | GP_MIME_JPEG "image/jpeg"
#define | GP_MIME_TIFF "image/tiff"
#define | GP_MIME_BMP "image/bmp"
#define | GP_MIME_QUICKTIME "video/quicktime"
#define | GP_MIME_AVI "video/x-msvideo"
#define | GP_MIME_CRW "image/x-canon-raw"
#define | GP_MIME_UNKNOWN "application/octet-stream"
#define | GP_MIME_EXIF "application/x-exif"
#define | GP_MIME_MP3 "audio/mpeg"
#define | GP_MIME_OGG "application/ogg"
#define | GP_MIME_WMA "audio/x-wma"
#define | GP_MIME_ASF "audio/x-asf"
#define | GP_MIME_MPEG "video/mpeg"
## Typedefs
typedef _CameraFile | CameraFile
## Enumerations
enum | CameraFileType { GP_FILE_TYPE_PREVIEW, GP_FILE_TYPE_NORMAL, GP_FILE_TYPE_RAW, GP_FILE_TYPE_AUDIO, GP_FILE_TYPE_EXIF, GP_FILE_TYPE_METADATA }
enum | CameraFileConversionMethod { GP_FILE_CONVERSION_METHOD_CHUCK }
## Functions
int | gp_file_new (CameraFile **file)
int | gp_file_ref (CameraFile *file)
int | gp_file_unref (CameraFile *file)
int | gp_file_free (CameraFile *file)
int | gp_file_open (CameraFile *file, const char *filename)
int | gp_file_save (CameraFile *file, const char *filename)
int | gp_file_clean (CameraFile *file)
int | gp_file_copy (CameraFile *destination, CameraFile *source)
int | gp_file_set_name (CameraFile *file, const char *name)
int | gp_file_get_name (CameraFile *file, const char **name)
int | gp_file_set_mime_type (CameraFile *file, const char *mime_type)
int | gp_file_get_mime_type (CameraFile *file, const char **mime_type)
int | gp_file_set_type (CameraFile *file, CameraFileType type)
int | gp_file_get_type (CameraFile *file, CameraFileType *type)
int | gp_file_set_mtime (CameraFile *file, time_t mtime)
int | gp_file_get_mtime (CameraFile *file, time_t *mtime)
int | gp_file_detect_mime_type (CameraFile *file)
int | gp_file_adjust_name_for_mime_type (CameraFile *file)
int | gp_file_append (CameraFile *, const char *data, unsigned long int size)
int | gp_file_set_data_and_size (CameraFile *, char *data, unsigned long int size)
int | gp_file_get_data_and_size (CameraFile *, const char **data, unsigned long int *size)
int | gp_file_set_color_table (CameraFile *file, const unsigned char *red_table, int red_size, const unsigned char *green_table, int green_size, const unsigned char *blue_table, int blue_size)
int | gp_file_set_width_and_height (CameraFile *file, int width, int height)
int | gp_file_set_header (CameraFile *file, const char *header)
int | gp_file_set_conversion_method (CameraFile *file, CameraFileConversionMethod method)
int | gp_file_convert (CameraFile *file, const char *mime_type)

## Detailed Description

Copyright © 2000 Scott Fritzinger

This library is free software; you can redistribute it and/or modify it under the terms of the GNU Lesser General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public License along with this library; if not, write to the Free Software Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.